Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161513 - arping logic in /etc/init.d/netdump doesn't scale
Summary: arping logic in /etc/init.d/netdump doesn't scale
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: netdump
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Moyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-06-23 20:40 UTC by Joshua Jensen
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0038
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-07 18:24:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0038 qe-ready SHIPPED_LIVE netdump bug fix update 2006-03-06 05:00:00 UTC

Description Joshua Jensen 2005-06-23 20:40:41 UTC
Description of problem:

For security reasons, my global organization may have to turn of proxy arp. 
This means that when arpping fails to find the MAC of the IP of the
netdump-server, the netdump startup script errors out.  This isn't a problem if
the client is on the same subnet/vlan as the server, but if it isn't we
unnecisarily see errors:

netdump: cannot arp 144.254.226.60
netdump: cannot find 144.254.226.60 in arp cache
netdump: can't resolve 144.254.226.60 MAC address
netdump server address resolution                          [FAILED]

Most enterprises *don't* have a netdump-server per subnet, they have one per
location.  In this setup we have to hardcode the MAC address of the gateway into
/etc/sysconfig/netdump.  We need all this, which causes netdump to fail, to get
the MAC that was hardcoded anyway?

Why rely on arping working?  Why not leave the MAC address in
/etc/sysconfig/netdump optional, even for netdump-across-subnet scenarios, and
just do this:

arping netdump_server_IP && use_server_MAC || arping default_gateway_IP &&
use_gateway_MAC

??


Version-Release number of selected component (if applicable):

netdump in RHEL3 and RHEL4

Comment 1 Jeff Moyer 2005-06-27 19:42:40 UTC
I'll take a look.

Comment 4 Jeff Moyer 2005-08-01 15:40:40 UTC
I've built a fix for this into netdump-0.7.10-3, and posted the i386 package here:
  http://people.redhat.com/jmoyer/bz161513/

Note that this rpm is being provided for testing only.  It has not seen any QA
other than the testing I performed in my environment.  Please provide feedback.

Comment 5 Ray Bellis 2005-08-17 09:59:12 UTC
The change to /etc/rc.d/init.d/netdump works for me - the syslog server I wanted
to dump to is completely offsite, so I needed to be able to put the default GW's
MAC address in /etc/sysconfig/netdump, but previously couldn't without modifying
the startup script.

Will this make it into the next RHEL 3 update?



Comment 6 Jeff Moyer 2005-08-17 11:50:49 UTC
Thanks for the testing feedback.  This fix is not going to be in Update 6,
unfortunately.

Comment 7 Joshua Jensen 2005-08-26 20:36:53 UTC
How about U7 ??

Comment 16 Joshua Jensen 2005-12-28 16:28:40 UTC
PING.... How about U7?

Comment 18 Red Hat Bugzilla 2006-03-07 18:24:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0038.html



Note You need to log in before you can comment on or make changes to this bug.